CLEVERCSV(1)

NAME
clevercsv - CleverCSV command line tool

SYNOPSIS

clevercsv [-h | --help] [-V | --version] [-v | --verbose] <command ...>

DESCRIPTION

CleverCSV is a Python library and command line tool for dealing with messy CSV files. It consists of a number of commands that can be used to analyze, explore, or standardize a messy CSV file.

Further help and documentation can be found online at https://github.com/alan-turing-institute/CleverCSV or https://clevercsv.readthedocs.io

OPTIONS

-h, --help
    show this help message and exit

-V, --version
    Show version and exit

-v, --verbose
    Enable verbose mode

COMMANDS

The following commands are available in CleverCSV:

clevercsv-code(1)
    Generate Python code to import a given CSV file

clevercsv-detect(1)
    Detect the dialect of a CSV file

clevercsv-explore(1)
    Infer the dialect and open the file in an interactive Python session

clevercsv-standardize(1)
    Convert a messy CSV file to one that follows RFC-4180

clevercsv-view(1)
    Detect the dialect and open the CSV file using TabView

AUTHORS

The CleverCSV package was originally written by Gerrit van den Burg and came out of scientific research on wrangling messy CSV files by Gerrit van den Burg, Alfredo Nazabal, and Charles Sutton. This research was conducted at and supported by The Alan Turing Institute. CleverCSV has since benefitted from a number of open-source contributors on GitHub.

REPORTING BUGS

If you encounter an issue in CleverCSV, please open an issue or submit a pull request at https://github.com/alan-turing-institute/CleverCSV. Please don't hesitate, you're helping to make this project better for everyone!

NOTES

1. CleverCSV GitHub repository
   https://github.com/alan-turing-institute/CleverCSV

2. CleverCSV documentation
   https://clevercsv.readthedocs.io

3. Wrangling Messy CSV Files by Detecting Row and Type Patterns
   https://gertjanvandenburg.com/papers/VandenBurg_Nazabal_Sutton_-_Wrangling_Messy_CSV_Files_by_Detecting_Row_and_Type_Patterns_2019.pdf